import javax.swing.ImageIcon;

public class Photo {
    public String filename;
    public String caption;
    public int width;
    public int height;
    public ImageIcon icon;

    public Photo(String f, String c, int w, int h) {
        filename = f;
        if (c == null)
            caption = f;
        else
            caption = c;
        width = w;
        height = h;
        icon = null;
    }
    public void setIcon(ImageIcon i) {
        icon = i;
    }
    public ImageIcon getIcon() {
        return icon;
    }
}
